Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
# $FreeBSD: head/x11/guake/Makefile 465584 2018-03-26 12:38:56Z bapt $
PORTNAME= guake
PORTVERSION= 3.4.0
PORTREVISION= 1
CATEGORIES= x11 python gnome
MAINTAINER= daniel@shafer.cc
COMMENT= Dropdown terminal made for the GNOME desktop
LICENSE= GPLv2
LICENSE_FILE= ${WRKSRC}/COPYING
BUILD_DEPENDS= gnome-common>=3.14.0:devel/gnome-common \
${PYTHON_PKGNAMEPREFIX}dbus>=0.84.0:devel/py-dbus@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}pbr>=3.1.1:devel/py-pbr@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}notify2>=0.1.1_9:devel/py-notify2@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}xdg>=0.19:devel/py-xdg@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}pipenv>=2018.7.1:devel/py-pipenv@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}pycodestyle>=2.3.1:devel/py-pycodestyle@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}sphinx>=1.6.5:textproc/py-sphinx@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}sphinxcontrib-programoutput>=0.11:textproc/py-sphinxcontrib-programoutput@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}yapf>=0.24.0:textproc/py-yapf@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}virtualenv>=16.0.0:devel/py-virtualenv@${PY_FLAVOR}
RUN_DEPENDS= keybinder-gtk3>=0.3.0:x11/keybinder-gtk3 \
${PYTHON_PKGNAMEPREFIX}dbus>=0.84.0:devel/py-dbus@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}notify2>=0.1.1_9:devel/py-notify2@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}xdg>=0.19:devel/py-xdg@${PY_FLAVOR}
USES= desktop-file-utils gettext gnome gmake libtool python:3.5+
USE_GITHUB= yes
USE_GNOME= gtk30 intltool gconf2
USE_PYTHON= py36
USE_GITHUB= yes
GH_ACCOUNT= Guake
GH_PROJECT= guake
GH_TAGNAME= 3.4.0
PLIST_SUB+= DESKTOPDIR="${DESKTOPDIR:S,${PREFIX}/,,}"
NO_ARCH= yes
INSTALLS_ICONS= yes
LIBS+= -L${LOCALBASE}/lib
MANPAGES_MAKE_ENV_OFF= man_MANS=""
NLS_CONFIGURE_ENABLE= nls
OPTIONS_DEFINE= MANPAGES NLS DOCS
OPTIONS_DEFAULT= MANPAGES DOCS NLS
OPTIONS_SUB= yes
.include <bsd.port.options.mk>
.if exists(${LOCALBASE}/libexec/notification-daemon)
RUN_DEPENDS+= notification-daemon>=0.7.2_1:deskutils/notification-daemon
.elif exists (${LOCALBASE}/bin/xfce4-notifyd-config)
RUN_DEPENDS+= xfce4-notifyd>=0.2.4:deskutils/xfce4-notifyd
.else
RUN_DEPENDS+= notify-osd>=0.9.29_4:deskutils/notify-osd
.endif
.include <bsd.port.mk>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.